## org.eclipse.datatools.modelbase.sql.tables.impl
Class TriggerImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl

All Implemented Interfaces:
  SQLObject, Trigger

public class TriggerImpl
extends SQLObjectImpl
implements Trigger

An implementation of the model object 'Trigger'.

The following features are implemented:

- `Schema`
- `Subject Table`
- `Action Statement`
- `Trigger Column`
- `Action Granularity`
- `When`
- `Time Stamp`
- `Action Time`
- `Update Type`
- `Insert Type`
- `Delete Type`
- `Old Row`
- `New Row`
- `Old Table`
- `New Table`

See Also:
  Serialized Form

Method Summary
`Schema` `basicGetSchema()`
`Table` `basicGetSubjectTable()`
`NotificationChain` `basicSetSchema(Schema newSchema, NotificationChain msgs)`
`NotificationChain` `basicSetSubjectTable(Table newSubjectTable, NotificationChain msgs)`
`NotificationChain` `basicSetWhen(SearchCondition newWhen, NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`ActionGranularityType` `getActionGranularity()`
`EList` `getActionStatement()`
`ActionTimeType` `getActionTime()`
`java.lang.String` `getNewRow()`
`java.lang.String` `getNewTable()`
`java.lang.String` `getOldRow()`
`java.lang.String` `getOldTable()`
`Schema` `getSchema()`
`Table` `getSubjectTable()`
`java.util.Date` `getTimeStamp()`
`EList` `getTriggerColumn()`
`SearchCondition` `getWhen()`
`boolean` `isDeleteType()`
`boolean` `isInsertType()`
`boolean` `isUpdateType()`
`void` `setActionGranularity(ActionGranularityType newActionGranularity)`
`void` `setActionTime(ActionTimeType newActionTime)`
`void` `setDeleteType(boolean newDeleteType)`
`void` `setInsertType(boolean newInsertType)`
`void` `setNewRow(java.lang.String newNewRow)`
`void` `setNewTable(java.lang.String newNewTable)`
`void` `setOldRow(java.lang.String newOldRow)`
`void` `setOldTable(java.lang.String newOldTable)`
`void` `setSchema(Schema newSchema)`
`void` `setSubjectTable(Table newSubjectTable)`
`void` `setUpdateType(boolean newUpdateType)`
`void` `setWhen(SearchCondition newWhen)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSchema

    public Schema getSchema()

  Specified by:
    `getSchema` in interface `Trigger`
  Returns:
    the value of the 'Schema' reference.
  See Also:
    `Trigger.setSchema(Schema)`, `SQLTablesPackage.getTrigger_Schema()`, `Schema.getTriggers()`

### basicGetSchema

    public Schema basicGetSchema()

### basicSetSchema

    public NotificationChain basicSetSchema(Schema newSchema,
                                            NotificationChain msgs)

### setSchema

    public void setSchema(Schema newSchema)

  Specified by:
    `setSchema` in interface `Trigger`
  Parameters:
    `newSchema` - the new value of the 'Schema' reference.
  See Also:
    `Trigger.getSchema()`

### getSubjectTable

    public Table getSubjectTable()

  Specified by:
    `getSubjectTable` in interface `Trigger`
  Returns:
    the value of the 'Subject Table' reference.
  See Also:
    `Trigger.setSubjectTable(Table)`, `SQLTablesPackage.getTrigger_SubjectTable()`, `Table.getTriggers()`

### basicGetSubjectTable

    public Table basicGetSubjectTable()

### basicSetSubjectTable

    public NotificationChain basicSetSubjectTable(Table newSubjectTable,
                                                  NotificationChain msgs)

### setSubjectTable

    public void setSubjectTable(Table newSubjectTable)

  Specified by:
    `setSubjectTable` in interface `Trigger`
  Parameters:
    `newSubjectTable` - the new value of the 'Subject Table' reference.
  See Also:
    `Trigger.getSubjectTable()`

### getActionStatement

    public EList getActionStatement()

  Specified by:
    `getActionStatement` in interface `Trigger`
  Returns:
    the value of the 'Action Statement' containment reference list.
  See Also:
    `SQLTablesPackage.getTrigger_ActionStatement()`

### getTriggerColumn

    public EList getTriggerColumn()

  Specified by:
    `getTriggerColumn` in interface `Trigger`
  Returns:
    the value of the 'Trigger Column' reference list.
  See Also:
    `SQLTablesPackage.getTrigger_TriggerColumn()`

### getActionGranularity

    public ActionGranularityType getActionGranularity()

  Specified by:
    `getActionGranularity` in interface `Trigger`
  Returns:
    the value of the 'Action Granularity' attribute.
  See Also:
    `ActionGranularityType`, `Trigger.setActionGranularity(ActionGranularityType)`, `SQLTablesPackage.getTrigger_ActionGranularity()`

### setActionGranularity

    public void setActionGranularity(ActionGranularityType newActionGranularity)

  Specified by:
    `setActionGranularity` in interface `Trigger`
  Parameters:
    `newActionGranularity` - the new value of the 'Action Granularity' attribute.
  See Also:
    `ActionGranularityType`, `Trigger.getActionGranularity()`

### getWhen

    public SearchCondition getWhen()

  Specified by:
    `getWhen` in interface `Trigger`
  Returns:
    the value of the 'When' containment reference.
  See Also:
    `Trigger.setWhen(SearchCondition)`, `SQLTablesPackage.getTrigger_When()`

### basicSetWhen

    public NotificationChain basicSetWhen(SearchCondition newWhen,
                                          NotificationChain msgs)

### setWhen

    public void setWhen(SearchCondition newWhen)

  Specified by:
    `setWhen` in interface `Trigger`
  Parameters:
    `newWhen` - the new value of the 'When' containment reference.
  See Also:
    `Trigger.getWhen()`

### getTimeStamp

    public java.util.Date getTimeStamp()

  Specified by:
    `getTimeStamp` in interface `Trigger`
  Returns:
    the value of the 'Time Stamp' attribute.
  See Also:
    `SQLTablesPackage.getTrigger_TimeStamp()`

### getActionTime

    public ActionTimeType getActionTime()

  Specified by:
    `getActionTime` in interface `Trigger`
  Returns:
    the value of the 'Action Time' attribute.
  See Also:
    `ActionTimeType`, `Trigger.setActionTime(ActionTimeType)`, `SQLTablesPackage.getTrigger_ActionTime()`

### setActionTime

    public void setActionTime(ActionTimeType newActionTime)

  Specified by:
    `setActionTime` in interface `Trigger`
  Parameters:
    `newActionTime` - the new value of the 'Action Time' attribute.
  See Also:
    `ActionTimeType`, `Trigger.getActionTime()`

### isUpdateType

    public boolean isUpdateType()

  Specified by:
    `isUpdateType` in interface `Trigger`
  Returns:
    the value of the 'Update Type' attribute.
  See Also:
    `Trigger.setUpdateType(boolean)`, `SQLTablesPackage.getTrigger_UpdateType()`

### setUpdateType

    public void setUpdateType(boolean newUpdateType)

  Specified by:
    `setUpdateType` in interface `Trigger`
  Parameters:
    `newUpdateType` - the new value of the 'Update Type' attribute.
  See Also:
    `Trigger.isUpdateType()`

### isInsertType

    public boolean isInsertType()

  Specified by:
    `isInsertType` in interface `Trigger`
  Returns:
    the value of the 'Insert Type' attribute.
  See Also:
    `Trigger.setInsertType(boolean)`, `SQLTablesPackage.getTrigger_InsertType()`

### setInsertType

    public void setInsertType(boolean newInsertType)

  Specified by:
    `setInsertType` in interface `Trigger`
  Parameters:
    `newInsertType` - the new value of the 'Insert Type' attribute.
  See Also:
    `Trigger.isInsertType()`

### isDeleteType

    public boolean isDeleteType()

  Specified by:
    `isDeleteType` in interface `Trigger`
  Returns:
    the value of the 'Delete Type' attribute.
  See Also:
    `Trigger.setDeleteType(boolean)`, `SQLTablesPackage.getTrigger_DeleteType()`

### setDeleteType

    public void setDeleteType(boolean newDeleteType)

  Specified by:
    `setDeleteType` in interface `Trigger`
  Parameters:
    `newDeleteType` - the new value of the 'Delete Type' attribute.
  See Also:
    `Trigger.isDeleteType()`

### getOldRow

    public java.lang.String getOldRow()

  Specified by:
    `getOldRow` in interface `Trigger`
  Returns:
    the value of the 'Old Row' attribute.
  See Also:
    `Trigger.setOldRow(String)`, `SQLTablesPackage.getTrigger_OldRow()`

### setOldRow

    public void setOldRow(java.lang.String newOldRow)

  Specified by:
    `setOldRow` in interface `Trigger`
  Parameters:
    `newOldRow` - the new value of the 'Old Row' attribute.
  See Also:
    `Trigger.getOldRow()`

### getNewRow

    public java.lang.String getNewRow()

  Specified by:
    `getNewRow` in interface `Trigger`
  Returns:
    the value of the 'New Row' attribute.
  See Also:
    `Trigger.setNewRow(String)`, `SQLTablesPackage.getTrigger_NewRow()`

### setNewRow

    public void setNewRow(java.lang.String newNewRow)

  Specified by:
    `setNewRow` in interface `Trigger`
  Parameters:
    `newNewRow` - the new value of the 'New Row' attribute.
  See Also:
    `Trigger.getNewRow()`

### getOldTable

    public java.lang.String getOldTable()

  Specified by:
    `getOldTable` in interface `Trigger`
  Returns:
    the value of the 'Old Table' attribute.
  See Also:
    `Trigger.setOldTable(String)`, `SQLTablesPackage.getTrigger_OldTable()`

### setOldTable

    public void setOldTable(java.lang.String newOldTable)

  Specified by:
    `setOldTable` in interface `Trigger`
  Parameters:
    `newOldTable` - the new value of the 'Old Table' attribute.
  See Also:
    `Trigger.getOldTable()`

### getNewTable

    public java.lang.String getNewTable()

  Specified by:
    `getNewTable` in interface `Trigger`
  Returns:
    the value of the 'New Table' attribute.
  See Also:
    `Trigger.setNewTable(String)`, `SQLTablesPackage.getTrigger_NewTable()`

### setNewTable

    public void setNewTable(java.lang.String newNewTable)

  Specified by:
    `setNewTable` in interface `Trigger`
  Parameters:
    `newNewTable` - the new value of the 'New Table' attribute.
  See Also:
    `Trigger.getNewTable()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.